Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 250726 - (CVE-2007-3799) CVE-2007-3799 php cross-site cookie insertion
CVE-2007-3799 php cross-site cookie insertion
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
source=internet,public=20070601,repor...
: Security
Depends On: 278351 278361 278381 278391 278401 278411 278421 278431
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 04:55 EDT by Mark J. Cox
Modified: 2008-01-16 09:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-16 09:07:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0888 normal SHIPPED_LIVE Moderate: php security update 2007-10-23 11:54:05 EDT
Red Hat Product Errata RHSA-2007:0889 normal SHIPPED_LIVE Moderate: php security update 2007-09-26 04:34:27 EDT
Red Hat Product Errata RHSA-2007:0890 normal SHIPPED_LIVE Moderate: php security update 2008-01-07 18:52:21 EST
Red Hat Product Errata RHSA-2007:0891 normal SHIPPED_LIVE Moderate: php security update 2007-10-25 13:33:16 EDT
Red Hat Product Errata RHSA-2007:0917 normal SHIPPED_LIVE Moderate: php security update 2007-10-23 11:56:13 EDT

  None (edit)
Description Mark J. Cox 2007-08-03 04:55:16 EDT
http://www.php-security.org/MOPB/PMOPB-46-2007.html

"The session_start function in ext/session in PHP 4.x up to 4.4.7 and 5.x up to
5.2.3 allows remote attackers to insert arbitrary attributes into the session
cookie via special characters in a cookie that is obtained from (1) PATH_INFO,
(2) the session_id function, and (3) the session_start function, which are not
encoded or filtered when the new session cookie is generated."

Better expressed as: "The session_start function allows a cross-site cookie
insertion attack if a user follows an untrusted carefully-crafted URL"

"Affected are PHP4 <= 4.4.7 and PHP5 <= 5.2.3"
Comment 7 Red Hat Product Security 2008-01-16 09:07:24 EST
This issue was addressed in:

Red Hat Application Stack:
  http://rhn.redhat.com/errata/RHSA-2007-0917.html
  http://rhn.redhat.com/errata/RHSA-2007-0891.html

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2007-0890.html
  http://rhn.redhat.com/errata/RHSA-2007-0889.html
  http://rhn.redhat.com/errata/RHSA-2007-0888.html

Fedora:
  updated to fixed upstream version


Note You need to log in before you can comment on or make changes to this bug.